Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1262388 - Use _isa_bits macro instead of ifarch
Summary: Use _isa_bits macro instead of ifarch
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: nuxwdog
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ade Lee
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: ARM64, F-ExcludeArch-aarch64
TreeView+ depends on / blocked
 
Reported: 2015-09-11 14:05 UTC by Marcin Juszkiewicz
Modified: 2018-07-20 18:56 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-11-30 12:14:05 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)
spec changes (deleted)
2015-09-11 14:05 UTC, Marcin Juszkiewicz
no flags Details

Description Marcin Juszkiewicz 2015-09-11 14:05:55 UTC
Created attachment 1072574 [details]
spec changes

Description of problem:

nuxwdog uses %ifarch to handle 32/64 issue. The __isa_bits macro was created exactly for this purpose and covers all architectures (including those skipped in spec file).

Version-Release number of selected component (if applicable):

1.0.3-3

Comment 1 Marcin Juszkiewicz 2015-11-30 12:14:05 UTC
pushed to rawhide


Note You need to log in before you can comment on or make changes to this bug.